Modules | Alphabetical List | Class List | Directories | File List | File Members | GIL Home Page # pixel_iterator.hpp File Reference ## Detailed Description pixel iterator support Author: Lubomir Bourdev and Hailin Jin Adobe Systems Incorporated Date: 2005-2007 May 16, 2006 `#include <cassert>` `#include <iterator>` `#include "gil_config.hpp"` `#include "gil_concept.hpp"` `#include "pixel.hpp"` Go to the source code of this file.
## Namespaces
namespace | boost
namespace | boost::gil
## Classes
struct | is_iterator_adaptor
| metafunction predicate determining whether the given iterator is a plain one or an adaptor over another iterator. Examples of adaptors are the step iterator and the dereference iterator adaptor. More...
struct | iterator_is_mutable
| Metafunction predicate returning whether the given iterator allows for changing its values. More...
struct | byte_to_memunit
## Functions
template<typename P>
ptrdiff_t | boost::gil::memunit_step (const P *)
template<typename P>
std::ptrdiff_t | boost::gil::memunit_distance (const P *p1, const P *p2)
template<typename P>
P * | boost::gil::memunit_advanced (const P *p, std::ptrdiff_t diff)
template<typename P>
void | boost::gil::memunit_advance (P *&p, std::ptrdiff_t diff)
template<typename P>
P & | boost::gil::memunit_advanced_ref (P *p, std::ptrdiff_t diff)